### Method

# Rsvg Handle close

deprecated: 2.46.

#### Declaration [src]

    gboolean
    rsvg_handle_close (
      RsvgHandle* handle
      GError** error
    )

#### Description [src]

This is used after calling `rsvg_handle_write()` to indicate that there is no more data to consume, and to start the actual parsing of the SVG document. The only reason to call this function is if you use use `rsvg_handle_write()` to feed data into the `handle`; if you use the other methods like `rsvg_handle_new_from_file()` or `rsvg_handle_read_stream_sync()`, then you do not need to call this function.

This will return `TRUE` if the loader closed successfully and the SVG data was parsed correctly. Note that `handle` isn’t freed until `g_object_unref()` is called.

Deprecated since: 2.46.

Use `rsvg_handle_read_stream_sync()` or the constructor functions `rsvg_handle_new_from_gfile_sync()` or `rsvg_handle_new_from_stream_sync()`. See the deprecation notes for `rsvg_handle_write()` for more information.

#### Return value

Type: `gboolean`

`TRUE` on success, or `FALSE` on error.